/* File for Ana to fill */

:root {
--background-color: #fafafa;
--form-color: #ffffff;
--font-color: #1B1F27;
--font-color-2: #3D434F;
--font-secondary: #7A869F;
--button-bg: #1A2742;
--button-bg-hover: #0F1B34;
--button-bg-focus:
--link-color: #00A3D1;
--border-radius: 4px;
--box-shadow: 0px 2px 1px -1px rgba(0,0,0,0.2),0px 1px 1px 0px rgba(0,0,0,0.14),0px 1px 3px 0px rgba(0,0,0,0.12);
--spacing: 16px;
--spacing-lg: 24px;
--spacing-sm: 8px;
}

html,body {
    font-family: -apple-system,BlinkMacSystemFont,Segoe UI,Roboto,Helvetica Neue,Arial,sans-serif;
    background-color: var(--background-color) !important;
    color: var(--font-color);
    line-height: 1.4;
}
/* reset */
body, p, form  {
    padding: 0;
    margin: 0;
}
div, p, span {
    box-sizing: border-box;
}
h1, h2, h3, p {
    margin-top: 0;
    margin-bottom: 1rem;
    color: var(--font-color);
}
h1 {
    font-size: 1.602rem;
}
p {
    color: var(--font-color-2);
}
a {
    color: var(--link-color);
}
#container {
    border: none !important;
    width: 26rem !important;
    background: var(--form-color) !important;
    border-radius: var(--border-radius);
    margin: 5vh auto !important;
    box-shadow: var(--box-shadow);
}
#header,
#content {
    padding: var(--spacing) var(--spacing-lg) !important;
}

fieldset {
    border: none;
    padding: 0;
}

.help {
    font-size: 0.875rem;
    color: var(--font-secondary);
}

/* form input */
input[type='text'],
input[type='password'],
input[type='email'] {
    border: none;
    border-bottom: 1px solid rgba(0, 0, 0, 0.42);
    background: transparent;
    color: var(--font-color);
    font-size: 1.1rem;
    width: 100%;
    padding: var(--spacing-sm);
    box-sizing: border-box;
}
input[type='text']:focus,
input[type='password']:focus,
input[type='email']:focus {
    border: none;
    border-bottom: 2px solid var(--font-color);
    outline: 0;
}


/* Form & Labels */
.form-row label {
    height: initial !important;
    font-weight: 500;
    display: block;
    line-height: initial !important;
}
.form-row {
    padding: 4px 0;
    margin-bottom: var(--spacing-sm);
}
.submit-row {
    padding: 1em 0 0 0;
}

/* button - input[type=sumit] */
input[type='submit'] {
    cursor: pointer;
    padding: 10px var(--spacing);
    background-color: var(--button-bg);
    color: #fff;
    border: 0;
    text-transform: uppercase;
    font-weight: 600;
    border-radius: var(--border-radius);
    letter-spacing: 0.5px;
    width: 100%;
    transition: all 0.12s ease-in;
    box-shadow: 0px 3px 1px -2px rgba(0,0,0,0.2),0px 2px 2px 0px rgba(0,0,0,0.14),0px 1px 5px 0px rgba(0,0,0,0.12);
}
input[type='submit']:hover {
    background-color:var(--button-bg-hover);
    transition: all 0.12s ease-in;
    box-shadow: 0px 2px 4px -1px rgba(0,0,0,0.2),0px 4px 5px 0px rgba(0,0,0,0.14),0px 1px 10px 0px rgba(0,0,0,0.12);
}
input[type='submit']:focus {
    background-color:var(--font-secondary);
    transition: all 0.12s ease-in;
}


#branding {
    text-align: center;
}
.skip-to-content-link:not(:focus):not(:focus-within) {
    display: block;
    width: 1px !important;
    height: 1px !important;
    padding: 0 !important;
    margin: -1px !important;
    overflow: hidden !important;
    clip: rect(0, 0, 0, 0) !important;
    white-space: nowrap !important;
    border: 0 !important;
}

/* Erors */
.errornote,
.warning {
    border-radius: var(--border-radius);
    padding: var(--spacing-sm) var(--spacing);
    font-size: 0.975rem;
    margin-top:0;
    margin-bottom: var(--spacing);
}
.errornote {
    color:  rgb(95, 33, 32);
    background-color:  rgb(253, 237, 237);
}
.warning {
    color:  rgb(102, 60, 0);
    background-color: rgb(255, 244, 229);
}
.messagelist {
    list-style: none;
    padding: 0 var(--spacing-lg);
}
